Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
  • Need help?

    Create a topic in the appropriate section
    Don't write everything in the chat!
  • Take a look at the marketplace

    There you can buy
    everything related to game servers
  • Don't want a ban?

    Please read our rules
    Don't disturb the order!
  • Sell or buy?

    Use services of the guarantor
    We will make your deal safe
  • 0
Koms

Error Undefined variable in expression: _actionset

 4:34:27 Error in expression < getVariable["actionSet", false];

if (!_actionSet) then {
s_player_holderPickup>
 4:34:27   Error position: <_actionSet) then {
s_player_holderPickup>
 4:34:27   Error Undefined variable in expression: _actionset
 4:34:27 File z\addons\dayz_code\init\object_BackpackAction.sqf, line 13

Подскажите, как пофиксить данную проблему?

Share this post


Link to post
Share on other sites

8 answers to this question

Recommended Posts

  • 0

 

 4:34:27 Error in expression < getVariable["actionSet", false];

if (!_actionSet) then {
s_player_holderPickup>
 4:34:27   Error position: <_actionSet) then {
s_player_holderPickup>
 4:34:27   Error Undefined variable in expression: _actionset
 4:34:27 File z\addons\dayz_code\init\object_BackpackAction.sqf, line 13

Подскажите, как пофиксить данную проблему?

Не по фиксить это нужно мод обновить до 1.0.6 и  все.

Share this post


Link to post
Share on other sites





  • 0

Так 1.0.6. нету же ещё. Видел у народа файл object_BackpackAction.sqf в миссии - потому и задаю вопрос.

Share this post


Link to post
Share on other sites
  • 0

Видел когда-то давно фикс на epochmod, поищи там

Share this post


Link to post
Share on other sites
  • 0

или нет...



Фиг знает, пытался найти но чет не нашел, но об этой ошибке и ее исправлении там обсуждалось

Share this post


Link to post
Share on other sites
  • 0

Так 1.0.6. нету же ещё. Видел у народа файл object_BackpackAction.sqf в миссии - потому и задаю вопрос.

этот файл в 1.0.6 в dayz_code есть ищи внимательно

Share this post


Link to post
Share on other sites
  • 0

В dayz_code  есть и пофиксеный с эпочмода есть, а как его подключить-то?

Share this post


Link to post
Share on other sites
  • 0

этот файл вызывается с config.bin из папки с модом, просто заменить его не получится. так же и нет смысла пихать его в мисиию-пробывал )

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Similar Content

    • By danulo95
      в чем ошибка?
      Error in expression <Pos;
              while {1 == 1} do
              {
                  if (str dayz_spawnPos != str _spawnPos) then
                  >
        Error position: <dayz_spawnPos != str _spawnPos) then
                  >
        Error Undefined variable in expression: dayz_spawnpos
    • By TheFirstNoob
      Привет!
      Думаю много кто сталкивался с ошибкой такого рода: 
      16:07:17 Error in expression <; _recompile = (count _this) > 0; if (BIS_fnc_init && !_recompile) exitwith {t> 16:07:17 Error position: <BIS_fnc_init && !_recompile) exitwith {t> 16:07:17 Error Undefined variable in expression: bis_fnc_init 16:07:17 File ca\Modules\Functions\init.sqf, line 28 Начнем с того что данная ошибка может вызываться по разному.

      1. Если у вас на чистой сборки данной ошибки не было, а после каких-то ваших махинации она появилась, то проблема в ваших ручках и данный фикс вам скорее всего не поможет и топайте фиксить вашу сборку.
      2. Если на чистой версии Epoch от 1.0.6+ уже имеется такая ошибка:
      Пожалуйста убедитесь что все файлы нужной вам версии были скачены до конца и нет такой ситуации что вы обновляли мод путем замены или еще чего. Старую версию надо полностью удалять и ставить новую. Если все равно ошибка остается, то идем ниже. 3. Если п.2 нам не помог, то скорее всего проблема очевидна. У вас имеются устаревшие файлы старого патча. Это случается когда вы покупаете только Arma 2 Operation Arrowhead, но не покупаете Arma 2 обычную. В итоге вам приходиться где-то искать папку Addons в интернете от Arma 2 или Arma 2 Free. Проблема в том, что файлы найденные в интернете могут быть от патча аля так 112555 или еще ниже. Поэтому и случается подобная проблема когда сервер с патчем 131129+ запрашивает некоторые файлы и получает ошибку потому что файл старый и код требуется немного иной.

      Ниже я приложил modules.pbo где и есть наш проблемный bis_fnc_init с последнего официального патча.
      Скачайте, и замените его в вашей папке Addons, что лежит в Корне игры со всеми ключами!
      Ключи ваши не собьются и у вас не будет ошибки аля "файл не подписан" или "не совпадает подпись".
      Все прекрасно работает на других серверах Epoch и так же проверенно на другом проекте (WOG).

      P.S. К решению такой проблемы я пришел совершенно из разряда "А го попробуем?" ибо меня тоже напрягала данная ошибка и капал вообще в разные стороны. В итоге пришел реально к тупому решению, который работает.
      Спасибо @NoNameUltima за предоставленные pbo.

      Пожалуйста, Войдите или Зарегистрируйтесь, чтобы увидеть это: Вложение.

      Пожалуйста, Войдите или Зарегистрируйтесь, чтобы увидеть это: Вложение.

      Пожалуйста, Войдите или Зарегистрируйтесь, чтобы увидеть это: Вложение.
  • Our picks

×
×
  • Create New...

Important Information

By using this site, you automaticly agree to our Guidelines and Privacy Policy.
We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.